# 服务端

## 使用docker安装

- 拉取镜像

  ```shell
  docker pull teamspeak
  ```

- 建立容器

  ```shell
  docker run -itd --name teamspeak -p 7020:9987/udp -p 7021:10011 -p 7022:30033 -e TS3SERVER_LICENSE=accept teamspeak
  ```

  ```tex
  9987 UDP 默认语音服务器端口
  10011 TCP ServerQuery raw 端口
  10022 TCP ServerQuery SSH 端口(3.3.0 以上版本服务端)
  30033 TCP 文件传输端口41144 TCP TSDNS
  其中9987端口是最重要的 其他倒无所谓
  ```

- 查看密钥

  ```shell
  docker logs teamspeak
  ```

  

# 客户端

- [下载地址](http://www.ts1.cn/download)

  