# 服务端

## 使用docker安装

```shell
sudo docker image pull rustdesk/rustdesk-server
sudo docker run --name hbbs -p 21114:21114 -p 21115:21115 -p 21116:21116 -p 21116:21116/udp -p 21118:21118 -v /home/rustDesk:/root -itd --rm rustdesk/rustdesk-server hbbs -r hbbr.xumy.vip -m demo
		
docker run --name hbbr -p 21117:21117 -p 21119:21119 -v /home/rustDesk:/root -itd --rm rustdesk/rustdesk-server hbbr -m demo

```

```tex
默认情况下，hbbs 监听21114(tcp), 21115(tcp), 21116(tcp/udp), 21118(tcp)，hbbr 监听21117(tcp), 21119(tcp)。务必在防火墙开启这几个端口， 请注意21116同时要开启TCP和UDP。其中21114是网页控制台+API，21115是hbbs用作NAT类型测试，21116/UDP是hbbs用作ID注册与心跳服务，21116/TCP是hbbs用作TCP打洞与连接服务，21117是hbbr用作中继服务, 21118和21119是为了支持网页客户端。如果您不需要网页控制台+API（21114）或者网页客户端（21118，21119）支持，对应端口可以不开。
```

