# 安装卸载

## 使用docker

- 安装docker

- 下载镜像

  ```shell
  docker pull gitea/gitea
  ```

- 创建挂载目录

  ```shell
  mkdir /home/gitea
  ```

- 创建容器

    ```shell
    docker run -d --name gitea --privileged --restart=always  -p 122:22 -p 3000:3000 -v /home/gitea:/data gitea/gitea
    ```

- 初始化

  浏览器直接访问`http://[ip]:3000`，根据提示进行初始化配置
- 启动与停止

- 卸载

    删除容器、镜像和数据

# 配置

## 初始化

首次安装后

## 配置文件

- 位置

  `/data/gitea/conf/app.ini`

- 配置项

  [官方配置说明](https://docs.gitea.io/zh-cn/config-cheat-sheet/)

