# 许孟阳  Java开发工程师

## 个人信息

| 姓名 | 许孟阳 | 性别 | 男   |
| ---- | ---- | ---- | ---- |
| **年龄** | 28    | **联系电话** | (0)176 6546 6277 |
| **籍贯** | 湖南省常德市 | **电子邮箱** | mengyxu2@outlook.com |
| **学校** | 江苏科技大学 | **专业** | 应用物理 |
| **学历** | 本科 |  |  |

## 求职意向

| 工作性质     | 全职               | 目标地点     | 长沙 |
| ------------ | ------------------ | ------------ | ---- |
| **目标职能** | Java开发，全栈开发 | **目标薪资** | 面议 |

## 工作经历

### 深圳斯普瑞特通信技术有限公司

- 担任职位

  Java开发工程师、前端工程师

- 工作时间

  2019.05-至今

- 工作内容
  - 负责老项目的维护与开发，负责老项目代码重构
  - 负责新项目需求评审、设计文档编写
  - 负责新项目的软件技术选型，软件架构设计和代码编写
  - 负责程序运行环境搭建
  - 负责内网代码平台、项目管理工具搭建与维护

### 深圳脱保软件有限公司

- 担任职位

  Java开发工程师

- 工作时间

  2016.07-2019.04

- 工作内容
  - 参与公司业务系统需求与分析、测试案列评审
  - 负责所分配功能模块的详细设计、功能开发、单元测试、代码优化工作
  - 遵循开发管理流程，编写和完善设计文档

## 专业技能

- 熟练掌握Java编程基础，熟悉Jsp、Servlet、Xml、JSON、JDBC等，有良好的编码习惯
- 熟练使用SSH、 SSM、SpringBoot等开源框架，了解springCloud等分布式应用开发相关技术
- 熟练使用JavaScript、JQuery、Anjularjs1、HTML、CSS、Bootstrap等
- 熟练使用Vue框架及其资源库Vuex、Vue Router、Element-ui等
- 熟练掌握linux常用命令、shell脚本编写、环境搭建、java程序部署、Apache Tomcat和Nginx的配置与调试
- 熟练使用doker安装软件，能用Dockerfile构建docker镜像
- 熟练掌握Git、Svn、Maven等项目管理及项目构建工具，熟悉Gitea、Gitlab等开源代码托管平台的搭建，熟悉禅道、Masterlab等开源项目管理工具的搭建
- 熟练使用Mysql、Oracle、SQLite、Mongodb、Redis，了解Hbase、Hive，熟练掌握Sql
- 有微信小程序和android开发经验，能独立完成微信小程序和androd程序搭建与开发，熟悉域名备案流程（有已备案个人域名）、域名证书申请

## 自我评价

- .喜欢编程工作，对新技术很有热情，能够快速学习新技术并且很快应用于实际工作中
- 有较强的业务理解能力，能快速学习理解公司业务需求
- .有较强的适应能力，暂无家庭压力，有较长时间投入到工作中
- 具有很强的团队精神，乐于与同事、领导和客户沟通，有强烈的集体荣誉感、责任心，积极上进

## 项目经历

### 临侦系列产品

- **开发时间/开发周期**

  2021.03至今

- **项目技术**

  Strus2、Spring、Hibernate、Socket、Vue、Element-ui、mysql、SpringMvc、Mybatis等

- **项目介绍**

  临侦是公司比较早的一个项目，一直由公司另一位java开发负责，至2021年三月该同事离职时交接给我，交接时还有未完成需求。项目交给我时采用前后端分离模式，前端由Vue+Element-ui开发，后端使用SSH架构与JDBC混用，使用UPD与c端通讯。由于项目不停有新需求，所以我在原项目引入SpringMvc+Mybatis边开发边重构重构部分代码。

- **责任描述**
  - 负责与前负责人交接
  - 负责处理遗留问题，响应客户新需求
  - 负责代码重构

### 其他项目

- **项目名称**

  LRobust网管平台、无人机搜救项目、cdr大数据查询

- **开发时间/开发周期**

  长期维护

- **项目技术**

  SpringBoot、Socket、Mysql、Vue、Element-ui、BMap等

- **项目介绍**

  **LRobust网管**是公司窜入设备网管程序，项目经理提供了需求文档与设备接口文档，我根据文档设计页面与架构。项目采用前后端分离开发，前端Vue+Element-ui，后端SpringBoot，数据库Mysql
  
  **无人机搜救项目**是公司高管的朋友推动的一个项目，他们提供无人机，需要我们提供基站板和网管程序。由我设计页面与架构，前后端分离，前端Vue+Element-ui，地图采用了百度地图离线方案，后端SpringBoot，数据库Mysql
  
  **cdr大数据查询**一个十亿数据mysql表的查询页面
  
- **责任描述**

  - 参与系统需求评审
  - 负责系统架构设计、数据库设计、代码编写
  - 提供系统操作手册初稿与部署说明文档
  - 负责系统后续需求响应与问题修复

### 核心网相关网管

- **项目名称**

  FHoSS网管、A基站网管、B基站网管

- **开发时间/开发周期**

  长期维护

- **项目技术**

  Springboot、Mysql、mongodb、Vue、Element-ui、BMap、Android等

- **项目介绍**

  **FHoSS网管**为公司购买的一个核心网HSS网元，提供了mysql数据库但未提供网管程序，而自行开发的一个配套网管程序，由我根据开源项目《FHoSS》对比分析表结构关系并提炼需求后设计的一个网管程序。前后端分离，前端Vue+Element-ui，后端SpringBoot，数据库Mysql

  **A基站网管**公司自研核心网网元的网管程序，包括HSS和EPC。由我设计页面与架构，前后端分离，前端Vue+Element-ui，后端SpringBoot，数据库Mongodb

  **B基站网管**公司自研产品，产品经理与项目经理提供了明确的需求文档，由我根据需求设计与开发网管程序和两个客户端。前后端分离，前端Vue+Element-ui，后端SpringBoot，数据库Mysql，客户端使用原生Android开发

- **责任描述**
  - 参与系统需求评审
  - 负责系统架构设计、数据库设计、代码编写
  - 提供系统操作手册初稿与部署说明文档
  - 负责系统后续需求响应与问题修复

### 公司内部项目

- **项目名称**

  小区经纬度查询服务、智能运维系统、License管理系统、信令测试

- **开发时间/开发周期**

  长期维护

- **项目技术**

  Springboot、Mysql、SqLite、Vue、Element-ui、BMap等

- **项目介绍**

  **小区经纬度查询服务**根据小区四元组查询经纬度的接口服务，提供GPS与百度两个坐标系坐标，提供简单测试页面

  **智能运维系统**是监控公司所有产品对公司核心网资源调用的一个管理系统，统计监控各客户、各产品、各终端执行业务情况。由产品经理与项目经理提供明确需求文档，由我完成设计与开发。前后端分离，前端Vue+Element-ui，后端SpringBoot，数据库Mysql

  **License管理系统**管理公司所有终端的license信息，项目经理提供简单需求文档，由我设计与开发。前后端分离，前端Vue+Element-ui，后端SpringBoot，数据库Mysql+SqLite

- **责任描述**
  - 参与系统需求评审，负责系统页面设计（布局）
  - 负责系统设计文档、接口文档编写与维护，
  - 负责系统架构设计、数据库设计、代码编写
  - 提供系统操作手册初稿与部署说明文档
  - 负责系统后续需求响应与问题修复

### WL项目

- **开发时间/开发周期**

  2020.03-2020.03

- **项目技术**

  Strus2、Spring、Hibernate、Vue、Element-ui、mysql、HttpClient、Webservice

- **责任描述**

  - 临时参与项目负责部分页面开发

### 监控管理平台

- **开发时间/开发周期**

  2020.01至今

- **项目技术**

  Springboot、Websocket、Webservice、Httpclitet、mysql、Vue、Element-ui、BMap等

- **项目描述**

  侦控系统是公司一套接入核心网现网资源的业务系统，产品经理和项目经理提供需求文档，c端研发人员提供接口文档，我根据文档设计页面与架构。项目采用前后端分离开发，前端Vue+Element-ui，后端SpringBoot，数据库Mysql，初版使用Webservice通讯，后改为Http+JSON。

- **责任描述**

  - 参与系统需求评审，负责系统页面设计（布局）
  - 负责系统设计文档、接口文档编写与维护，
  - 负责系统架构设计、数据库设计、代码编写
  - 提供系统操作手册初稿与部署说明文档
  - 负责系统后续需求响应与问题修复

### 电子围栏

- **开发时间/开发周期**

  2019.05至今

- **项目技术**

  Strus2、Spring、Hibernate、Socket、jQuery、Layui、Mysql、微信小程序

  Springboot、Websocket、Vue、Element-ui、BMap、Highchartst等

- **项目描述**

  电子围栏系统为公司一套小区人口检测系统，我入职时接手的第一个项目，项目交给我时采用前后端分离模式，前端由Layui+jQuery开发，后端使用SSH架构与JDBC混用，使用UPD与c端通讯，后由我使用SpringBoot+Vue+ElementUi将系统重构。

- **责任描述**

  - 负责解决系统遗留问题，新需求的开发，项目文档的维护
  - 负责系统重构，架构重建、代码重写
  - 负责优化sql，页面加载缓慢等问题
  - 负责生产环境日常维护，问题处理

### 微众银行-征信报送2.0

- **开发时间/开发周期**

  2017.02-2019.02

- **项目技术**

  SpringMVC、Spring、Mybatis、Anjularjs、jQuery、Html+CSS+bootstrap、httpclient、WebSevice、Mysql、Hive+Hbase、WeMq消息中间件、FPS文件服务器

- **项目描述**

  征信二代是一个供业务使用的后台系统，集成了个人征信2.0、征信1.0、企业征信2.0、数字解读等子系统。其中个人征信2.0主要负责银行用户征信报文自动化报送人行，业务员可以通过管理页面跟踪报文上报情况，也可以手动处理上报任务。征信2.0主要功能木块可分为：UM用户权限管理、后台任务自动化、上报流程及其他监控流程、报文及已上报报文查询、人行交互系统、WEB管理页面。企业征信2.0与个人征信2.0功能类似。数字解读主要负责查询人行针对每人的征信信息给出的一个信用评分。

- **责任描述**

  -  权限管理:在UM系统配置子系统权限，通过HTTP请求增量或全量同步到子系统，权限等级分：module、group、view、action四个层级

  - 后台任务自动化：在流程表配置任务生成频率，每天0点定时扫描流程表生成当天需要执行的任务插入任务表，每分钟

    定时扫描任务表查出可执行的任务放入任务执行队列

  - 上报流程及其他监控流程：开发service配置到任务步骤内，在执行任务步骤时触发
  - 报文及已上报报文查询：HBase查询到页面展示，供业务员查询单个用户的报文及已上报报文信息，并提供修改；
  - 人行交互：与后台系统通过WeMq互通消息，使用FPS文件服务器进行文件传输。人行没有提供上报接口，需要需要解析页面进行上报；
  - WEB管理页面：权限管理、报文回执文件管理、流程任务控制、线程池管理、报文及已上报报文查询、报文统计、日志监控等管理页面开发；

### 小玉商城

- **开发时间/开发周期**

  学习期间

- **项目技术**

  SpringMVC、Spring、Mybatis、JSP、JSTL、jQuery、EasyUI、KindEditor、CSS+DIV、Redis，Lucene、Solr、httpclient、Mysql、Nginx、Quartz、ActiveMQ、freemarker

- **项目描述**

  小玉网上商城是一个综合性的B2C平台，类似京东商城。会员可以在商城浏览商品、搜索商品、使用购物车、购买商品下订单，以及参加各种活动。后台管理系统中管理员、运营可以在平台后台管理系统中管理商品、订单、会员等。客服可以在后台管理系统中处理用户的询问以及投诉。该系统主要包括六个模块：后台管理系统、门户系统、会员系统、订单系统、搜索系统、单点登录系统

- **责任描述**

  - 商品管理模块:使用FastDFS图片服务器保存商品图片
  - 用户登录：采用sso系统实现单点登录
  - 搜索系统：luncene/solr全文检索
  - 后台管理系统：ActiveMQ消息队列等

