# 开发环境

## 安装node.js

- 官网下载免安装版压缩包

  [**14.17.5**源码与安装包](https://nodejs.org/en/download/)

  [长期稳定版本与最新版本](https://nodejs.org/zh-cn/)

  [历史版本](https://nodejs.org/dist/)

- 配置环境变量

  配置node_home

  将node_home配置到path环境变量

  使用 node -v 查看是否安装成功

## 安装cnpm并使用淘宝镜像（非必须）

```shell
npm install -g cnpm --registry=https://registry.npm.taobao.org
npm uninstall -g cnpm
```

## 安装yarn（非必须）

`npm install -g yarn`

## 安装vue脚手架（非必须）

```shell
npm uninstall @vue-cli			//卸载1.0或2.0版本
npm install @vue/cli			//安装最新版本
npm install @vue/cli@4.0.5		//安装指定版本
```

> vue/cli可以帮助快速搭建vue项目,管理项目依赖等,大大降低了webpack的使用难度
>
> 如果需要从零开始搭建vue项目建议暗转, 如果只是在已有vue项目上进行迭代开发则无安装必要

## 最后一个忘记干啥用的了,照做就行

将powershell切换为管理员模式,执行命令

```shell
Start-Process powershell -Verb runAs
set-ExecutionPolicy RemoteSigned
y
```

