# 安装与卸载

## 使用docker

- 安装docker

- 拉取镜像

  ```shell
  docker pull easysoft/zentao:15.7.1
  ```

- 创建挂载目录

  ```shell
  mkdir /home/zentao
  cd /home/zentao
  mkdir pms mysql
  ```

- 创建容器

  ```shell
  docker run --name zentao -p 8080:80 -v /home/zentao/pms:/www/zentaopms -v /home/zentao/mysql:/var/lib/mysql -e MYSQL_ROOT_PASSWORD=123456 -d easysoft/zentao:15.7.1
  ```

- 初始化

  浏览器直接访问 `http://[ip]:8080`进行初始化配置

- 启动与停止
- 卸载

